Get Signal
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals/{signal_id} \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"description": "<string>",
"details": "<string>",
"grouping_rationale": "<string>",
"problem_type_id": "<string>",
"labels": [
"<string>"
],
"component": {
"type": "http",
"name": "<string>"
},
"severity": {
"score": 50,
"level": "LOW",
"rationale": "<string>"
},
"status": "OPEN",
"notifications_muted": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 1,
"latest_impact": {
"affected_session_count": 1,
"analyzed_session_count": 1,
"exposed_session_count": 1
},
"scan_history": [
{
"affected_session_count": 1,
"analyzed_session_count": 1,
"exposed_session_count": 1,
"scan_id": "<string>",
"scan_number": 2,
"completed_at": "2023-11-07T05:31:56Z"
}
],
"remediations": [
{
"id": "<string>",
"generated_in_scan_id": "<string>",
"rank": 2,
"type": "<string>",
"action": "<string>",
"validation": "<string>",
"state": "PROPOSED",
"details": {},
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"merged_signals": [
{
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"merged_into": {
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}signals-v2
Get Signal
Read one Signal with its impact history, remediations, and merge relationships.
GET
/
v2
/
projects
/
{project_id}
/
runs
/
{run_id}
/
signals
/
{signal_id}
Get Signal
Authorizations
APIKeyHeaderClassicAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Response
Successful Response
Diagnosis, impact, history, and remediations for one Signal.
Show child attributes
Show child attributes
Was this page helpful?